QGIS Application - Bug report #21491
Autogenerated forms for M-N relations problem
2019-03-05 11:53 PM - Jorge Rosales

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:3.4.5 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29308
Description

Autogenerated forms for many to many (N-M) relations don't hide pivot tables so you have to set ids instead entities from both sides. But
if you use "Drag and drop designer" it works fine. | attach an example with the two cases.

Associated revisions

Revision 686d2111 - 2019-03-06 08:40 PM - Matthias Kuhn

Fix n:m relations in autogenerated attribute forms

Fix #16446

Fix #21491

Revision 99a01676 - 2019-03-07 08:26 AM - Matthias Kuhn

Fix n:m relations in autogenerated attribute forms

Fix #16446

Fix #21491

Revision 9bf34104 - 2019-03-07 08:27 AM - Matthias Kuhn

Fix n:m relations in autogenerated attribute forms

Fix #16446

Fix #21491

History

#1 - 2019-03-07 08:22 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|686d21114b977025e411702eb23182257e62ab9%e.
